package com.ytpm.middle.service;

import com.ytpm.general.Result;
import com.ytpm.general.ResultTable;
import com.ytpm.middle.param.MiddleUserListParam;
import com.ytpm.middle.param.MiddleUserParam;
import com.ytpm.middle.view.MiddleUserInfo;

public interface UserService {
    /**
     * 查询用户列表
     */
    ResultTable<MiddleUserInfo> queryList(MiddleUserListParam param);

    /**
     * 新增用户
     */
    Result<String> addOne(MiddleUserParam param);
    /**
     * 修改用户
     */
    Result<String> updateOne(MiddleUserParam param,String loginName);

    /**
     * 删除用户信息
     */
    Result<String> delOne(String userId);
}
